org.richfaces.view.facelets.html

## Class GraphValidatorHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.ComponentHandler
        - - org.richfaces.view.facelets.html.GraphValidatorHandler

- All Implemented Interfaces:
    javax.faces.view.facelets.FaceletHandler

      public class GraphValidatorHandler
      extends javax.faces.view.facelets.ComponentHandler

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphValidatorHandler(javax.faces.view.facelets.ComponentConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyNextHandler(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c)`

    - ### Methods inherited from class javax.faces.view.facelets.ComponentHandler

      `createComponent, getComponentConfig, getTagHandlerDelegate, isNew, onComponentCreated, onComponentPopulated`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphValidatorHandler

          public GraphValidatorHandler(javax.faces.view.facelets.ComponentConfig config)

  - ### Method Detail

    - #### applyNextHandler

          public void applyNextHandler(javax.faces.view.facelets.FaceletContext ctx,
                              javax.faces.component.UIComponent c)
                                throws IOException,
                                       javax.faces.FacesException,
                                       javax.el.ELException

      Overrides:
        `applyNextHandler` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`
      Throws:
        `IOException`
        `javax.faces.FacesException`
        `javax.el.ELException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.